SHARE
TWEET

Untitled

a guest Mar 24th, 2019 66 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. npm ERR! prepareGitDep 1>
  2. npm ERR! prepareGitDep > pre-commit@1.2.2 install C:\Users\david\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-36c42195\node_modules\pre-commit
  3. npm ERR! prepareGitDep > node install.js
  4. npm ERR! prepareGitDep
  5. npm ERR! prepareGitDep
  6. npm ERR! prepareGitDep > spawn-sync@1.0.15 postinstall C:\Users\david\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-36c42195\node_modules\spawn-sync
  7. npm ERR! prepareGitDep > node postinstall
  8. npm ERR! prepareGitDep
  9. npm ERR! prepareGitDep
  10. npm ERR! prepareGitDep > ngrok@2.1.8 postinstall C:\Users\david\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-36c42195\node_modules\ngrok
  11. npm ERR! prepareGitDep > node ./postinstall.js
  12. npm ERR! prepareGitDep
  13. npm ERR! prepareGitDep ngrok - downloading binary https://bin.equinox.io/a/chRZWPptE7w/ngrok-2.1.1-windows-amd64.zip ...
  14. npm ERR! prepareGitDep ngrok - binary downloaded...
  15. npm ERR! prepareGitDep
  16. npm ERR! prepareGitDep 2> npm WARN install Usage of the `--dev` option is deprecated. Use `--only=dev` instead.
  17. npm ERR! prepareGitDep npm WARN deprecated istanbul@0.4.5: This module is no longer maintained, try this instead:
  18. npm ERR! prepareGitDep npm WARN deprecated   npm i nyc
  19. npm ERR! prepareGitDep npm WARN deprecated Visit https://istanbul.js.org/integrations for other alternatives.
  20. npm ERR! prepareGitDep npm WARN deprecated samsam@1.1.2: This package has been deprecated in favour of @sinonjs/samsam
  21. npm ERR! prepareGitDep npm WARN deprecated formatio@1.1.1: This package is unmaintained. Use @sinonjs/formatio instead
  22. npm ERR! prepareGitDep npm WARN deprecated samsam@1.1.3: This package has been deprecated in favour of @sinonjs/samsam
  23. npm ERR! prepareGitDep npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
  24. npm ERR! prepareGitDep npm WARN deprecated istanbul@0.2.16: This module is no longer maintained, try this instead:
  25. npm ERR! prepareGitDep npm WARN deprecated   npm i nyc
  26. npm ERR! prepareGitDep npm WARN deprecated Visit https://istanbul.js.org/integrations for other alternatives.
  27. npm ERR! prepareGitDep npm WARN deprecated node-uuid@1.4.8: Use uuid module instead
  28. npm ERR! prepareGitDep npm WARN deprecated tar.gz@1.0.7: ⚠️  WARNING ⚠️ tar.gz module has been deprecated and your application is vulnerable. Please use tar module instead: https://npmjs.com/tar
  29. npm ERR! prepareGitDep npm WARN deprecated wrench@1.5.9: wrench.js is deprecated! You should check out fs-extra (https://github.com/jprichardson/node-fs-extra) for any operations you were using wrench for. Thanks for all the usage over the years.
  30. npm ERR! prepareGitDep npm WARN deprecated connect@2.12.0: connect 2.x series is deprecated
  31. npm ERR! prepareGitDep npm WARN deprecated circular-json@0.3.3: CircularJSON is in maintenance only, flatted is its successor.
  32. npm ERR! prepareGitDep npm WARN deprecated minimatch@0.4.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
  33. npm ERR! prepareGitDep npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
  34. npm ERR! prepareGitDep npm WARN deprecated graceful-fs@3.0.11: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js
  35. npm ERR! prepareGitDep npm WARN deprecated minimatch@1.0.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
  36. npm ERR! prepareGitDep npm WARN deprecated hoek@0.9.1: The major version is no longer supported. Please update to 4.x or newer
  37. npm ERR! prepareGitDep npm WARN deprecated minimatch@0.3.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
  38. npm ERR! prepareGitDep ngrok - error unpacking binary Error: You cannot extract a file outside of the target path
  39. npm ERR! prepareGitDep     at C:\Users\david\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-36c42195\node_modules\decompress-zip\lib\decompress-zip.js:95:21
  40. npm ERR! prepareGitDep     at Array.map (<anonymous>)
  41. npm ERR! prepareGitDep     at C:\Users\david\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-36c42195\node_modules\decompress-zip\lib\decompress-zip.js:91:25
  42. npm ERR! prepareGitDep     at _fulfilled (C:\Users\david\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-36c42195\node_modules\decompress-zip\node_modules\q\q.js:854:54)
  43. npm ERR! prepareGitDep     at C:\Users\david\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-36c42195\node_modules\decompress-zip\node_modules\q\q.js:883:30
  44. npm ERR! prepareGitDep     at Promise.promise.promiseDispatch (C:\Users\david\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-36c42195\node_modules\decompress-zip\node_modules\q\q.js:816:13)
  45. npm ERR! prepareGitDep     at C:\Users\david\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-36c42195\node_modules\decompress-zip\node_modules\q\q.js:624:44
  46. npm ERR! prepareGitDep     at runSingle (C:\Users\david\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-36c42195\node_modules\decompress-zip\node_modules\q\q.js:137:13)
  47. npm ERR! prepareGitDep     at flush (C:\Users\david\AppData\Roaming\npm-cache\_cacache\tmp\git-clone-36c42195\node_modules\decompress-zip\node_modules\q\q.js:125:13)
  48. npm ERR! prepareGitDep     at process._tickCallback (internal/process/next_tick.js:61:11)
  49. npm ERR! prepareGitDep npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.7 (node_modules\fsevents):
  50. npm ERR! prepareGitDep npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.7: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"})
  51. npm ERR! prepareGitDep
  52. npm ERR! prepareGitDep npm ERR! code ELIFECYCLE
  53. npm ERR! prepareGitDep npm ERR! errno 1
  54. npm ERR! prepareGitDep npm ERR! ngrok@2.1.8 postinstall: `node ./postinstall.js`
  55. npm ERR! prepareGitDep npm ERR! Exit status 1
  56. npm ERR! prepareGitDep npm ERR!
  57. npm ERR! prepareGitDep npm ERR! Failed at the ngrok@2.1.8 postinstall script.
  58. npm ERR! prepareGitDep npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
  59. npm ERR! prepareGitDep
  60. npm ERR! prepareGitDep npm ERR! A complete log of this run can be found in:
  61. npm ERR! prepareGitDep npm ERR!     C:\Users\david\AppData\Roaming\npm-cache\_logs\2019-03-24T16_22_37_959Z-debug.log
  62. npm ERR! prepareGitDep
  63. npm ERR! premature close
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
 
Top